import Foundation

struct SlideshowImageTemplate: Template {

    enum Key: String, CaseIterable {
        case altText = "ALT_TEXT"
        case url = "URL"
        case image = "IMAGE"
        case title = "TITLE"
        case subtitle = "SUBTITLE"
        case number = "NUMBER"
    }

    static let templateName = "slideshow-image.html"

    let raw: String

    let results: GenerationResultsHandler

    func makePath(components: [String]) -> String {
        components.joined(separator: " » ") // &ensp;&raquo;&ensp;")
    }
}
